APIVoid logo

Account Info API Reference

Get details about your APIVoid account and subscription: plan name, credits balance, credits used, next reset, and overage status. This endpoint consumes no credits.

POSThttps://api.apivoid.com/v2/account-info
Consumes no creditsPOST · JSON

Request example

Query the endpoint via an HTTPS POST request (replace YOUR_API_KEY_HERE with your API key):

curl
curl -X POST "https://api.apivoid.com/v2/account-info" \
     -H "Content-Type: application/json" \
     -H "X-API-Key: YOUR_API_KEY_HERE"

The same request in PHP:

php
$apiKey = 'YOUR_API_KEY_HERE';

$curl = curl_init('https://api.apivoid.com/v2/account-info');
curl_setopt($curl, CURLOPT_HTTPHEADER, ['Content-Type: application/json', 'X-API-Key: ' . $apiKey]);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);

if ($httpCode === 200) {
    $responseData = json_decode($response, true);
    print_r($responseData);
} else {
    print_r('An error occurred: '.$response);
}

Request parameters

This endpoint does not take any JSON parameters: send an empty POST request with the X-API-Key header.

This endpoint is limited to 1 request per second.

Response example

A successful request returns HTTP 200 with a JSON body:

json · 200
{
    "credits": {
        "remained": 5851025,
        "next_reset_ts": 1759877820,
        "next_reset_datetime": "2025-10-07 22:57:00",
        "next_reset_days": 4
    },
    "overage": {
        "allowed": false,
        "enabled": false,
        "credits_consumed": 0,
        "max_limit": 250000
    },
    "usage_stats": {
        "daily": {
            "dates": [
                {
                    "date": "2025-10-03",
                    "credits": 107060
                },
                {
                    "date": "2025-10-02",
                    "credits": 161609
                },
                {
                    "date": "2025-10-01",
                    "credits": 156491
                },
                {
                    "date": "2025-09-30",
                    "credits": 179471
                },
                {
                    "date": "2025-09-29",
                    "credits": 206062
                },
                {
                    "date": "2025-09-28",
                    "credits": 202777
                },
                {
                    "date": "2025-09-27",
                    "credits": 195988
                },
                {
                    "date": "2025-09-26",
                    "credits": 212962
                },
                {
                    "date": "2025-09-25",
                    "credits": 194203
                },
                {
                    "date": "2025-09-24",
                    "credits": 218459
                },
                {
                    "date": "2025-09-23",
                    "credits": 216841
                },
                {
                    "date": "2025-09-22",
                    "credits": 198665
                },
                {
                    "date": "2025-09-21",
                    "credits": 142136
                },
                {
                    "date": "2025-09-20",
                    "credits": 146458
                },
                {
                    "date": "2025-09-19",
                    "credits": 225072
                },
                {
                    "date": "2025-09-18",
                    "credits": 227521
                },
                {
                    "date": "2025-09-17",
                    "credits": 225049
                },
                {
                    "date": "2025-09-16",
                    "credits": 221269
                },
                {
                    "date": "2025-09-15",
                    "credits": 218528
                },
                {
                    "date": "2025-09-14",
                    "credits": 207953
                },
                {
                    "date": "2025-09-13",
                    "credits": 206449
                },
                {
                    "date": "2025-09-12",
                    "credits": 218775
                },
                {
                    "date": "2025-09-11",
                    "credits": 184718
                },
                {
                    "date": "2025-09-10",
                    "credits": 209747
                },
                {
                    "date": "2025-09-09",
                    "credits": 228334
                },
                {
                    "date": "2025-09-08",
                    "credits": 227776
                },
                {
                    "date": "2025-09-07",
                    "credits": 209300
                },
                {
                    "date": "2025-09-06",
                    "credits": 226560
                },
                {
                    "date": "2025-09-05",
                    "credits": 242216
                },
                {
                    "date": "2025-09-04",
                    "credits": 228813
                }
            ],
            "total": 6047262
        },
        "monthly": {
            "dates": [
                {
                    "date": "2025-10",
                    "credits": 425160
                },
                {
                    "date": "2025-09",
                    "credits": 6259378
                },
                {
                    "date": "2025-08",
                    "credits": 2975389
                }
            ]
        }
    },
    "elapsed_ms": 1
}

Response fields

The fields returned in the JSON response:

credits → remainedinteger

Number of API credits remaining on the account.

credits → next_reset_tsinteger

Unix timestamp of the next credits reset.

credits → next_reset_datetimestring

Date and time of the next credits reset.

credits → next_reset_daysinteger

Number of days left until the next credits reset.

overage → allowedboolean

Returns true if overage is allowed on the account plan.

overage → enabledboolean

Returns true if overage is enabled on the account.

overage → credits_consumedinteger

Number of overage credits consumed in the current period.

overage → max_limitinteger

Maximum number of overage credits that can be consumed.

usage_stats → daily → datesarray

List of recent days with the credits consumed on each day.

usage_stats → daily → dates[n] → datestring

Date of the usage entry, format is Y-m-d.

usage_stats → daily → dates[n] → creditsinteger

Credits consumed on that day.

usage_stats → daily → totalinteger

Total credits consumed across the daily entries shown.

usage_stats → monthly → datesarray

List of recent months with the credits consumed on each month.

usage_stats → monthly → dates[n] → datestring

Month of the usage entry, format is Y-m.

usage_stats → monthly → dates[n] → creditsinteger

Credits consumed in that month.

elapsed_msinteger

Time taken to process the request, in milliseconds.